Subject: Re: What's cooking in git.git (Apr 2012, #06; Sun, 15)

From: Johannes Sixt <[email-masked]>
Date: Thu, 19 Apr 2012 08:16:47 +0200

Am 4/18/2012 21:53, schrieb Ramsay Jones:
> Johannes Sixt wrote:
>> Am 4/16/2012 8:44, schrieb Junio C Hamano:
>>> * nd/threaded-index-pack (2012-04-11) 3 commits
>>>  - index-pack: support multithreaded delta resolving
>>>  - index-pack: split second pass obj handling into own function
>>>  - compat/win32/pthread.h: Add an pthread_key_delete() implementation
>>
>> With this series, t9300.92 (fast-import, Q: verify pack) consistently
>> fails for me on Windows.
>>
>> I'll have to see when I can dig deeper into this topic...
> 
> Hmm, this works just fine for me.

It's a Heisenbug. I see different failure modes:

error: inflate: data stream error (incorrect header check)
fatal: serious inflate inconsistency

fatal: premature end of pack file, 79 bytes missing

fatal: premature end of pack file, 72 bytes missing

(and I even saw successful runs). It's always the same pack,
pack-54fa663f5ec35*.pack. But running index-pack --verify manually does
not fail. The packs look good because the installed index-pack (which was
built without this topic) does not report an error, either.

Any clues?

-- Hannes